package accrue.analysis.ast;

import java.util.List;

import polyglot.ast.Expr;
import polyglot.types.ClassType;
import polyglot.types.Type;

public interface Suppress extends Expr {
    Expr expr();

    List<ClassType> suppressExceptionTypes();

    boolean suppress(Type t);
}
